﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<script src="@Url.Content("~/Scripts/jquery.mtz.monthpicker.js")" type="text/javascript"></script>
@section Style{
.ui-datepicker.ui-corner-all { -moz-border-radius: 4px; -webkit-border-radius: 4px;
border-radius: 4px; } .iu-widget-header { background-color: #94B6E8; color: #94B6E8;
} .ui-widget-header { background: url("images/ui-bg_highlight-soft_15_cc0000_1x100.png")
repeat-x scroll 50% 50% #94B6E8; background-color: #DDECFF; border: 1px solid #94B6E8;
color: #94B6E8; font-weight: bold; } div.ui-datepicker {width: 17em; padding: .2em
.2em 0;} div.ui-datepicker-header.mtz-monthpicker {border: 1px solid #DDECFF; background-color:
#DDECFF; color: #DDECFF; font-weight: bold;} table.mtz-monthpicker {width: 100%;
font-size: .9em; border-collapse: collapse; margin:0 0 .4em; } td.ui-state-default.mtz-monthpicker-month
{border: 1px solid #fff;} td.ui-state-default.mtz-monthpicker-month {text-align:
center; cursor: pointer; padding: 5px;} td.ui-state-default.mtz-monthpicker-month:hover,
td.ui-state-default.mtz-monthpicker-month-selected {background: none; background-color:
#DDECFF; color: #fff; cursor: pointer;} td.ui-state-default.mtz-monthpicker-month:hover
{background-color: #fff; color: #000;} select.mtz-monthpicker-year {margin-top:
7px;}
}

@section Script{
/*Month Picker*/ $(document).ready(function() { $('#txtDeliveryMonth').monthpicker({
startYear: new Date().getFullYear() - 5, finalYear: new Date().getFullYear() + 1,
pattern: 'mmm yyyy', monthNames: ['January', 'February', 'March', 'April', 'May',
'June', 'July', 'August', 'September', 'October', 'November', 'December'] }); $('#txtDeliveryMonth').bind('onchange',function(e){
alert("input change"); }); });

}

@section StartupScript {

OnClickClear();
    $('#ProductionMonthText_I').monthpicker({
        startYear: new Date().getFullYear() - 5,
        finalYear: new Date().getFullYear() + 1,
        pattern: 'mmm yyyy', 
        monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
    });

    $('#ProductionMonthText_I').bind('onchange',function(e){
        alert("input change");
    });

    var today = new Date(); 
    productionMonth = today.getFullYear() + pad(today.getMonth() + 1).toString();
    ProductionMonthText_I.value = GetRegularProductionMonth(productionMonth);
}

<script type="text/javascript">
    var idxMonth = "";
    var strDate = new Date();
    var strDay = strDate.getDate();
    var strMonth = strDate.getMonth() + 1;
    var strYear = strDate.getFullYear();

    function GetRegularProductionMonth(productionMonth) {
        var year = String(productionMonth).substring(0, 4);
        var month = String(productionMonth).substring(String(productionMonth).length, String(productionMonth).length - 2);
        var monthEnum = {
            '01': 'January',
            '02': 'February',
            '03': 'March',
            '04': 'April',
            '05': 'May',
            '06': 'June',
            '07': 'July',
            '08': 'August',
            '09': 'September',
            '10': 'October',
            '11': 'November',
            '12': 'December'
        };

        return monthEnum[month] + " " + year;
    }

    function pad(n) {
        return (n < 10) && (n >= 0) ? ("0" + n) : n;
    }

    function SetDefaultTypeSelected(s, e) {
        $("#txtDeliveryMonth").val('@ViewData["MonthNow"]');
        ProductionMonthText.SetEnabled(false);
        grlSupplier.SetEnabled(false);
        grlDock.SetEnabled(false);
        grlLPHeader.SetEnabled(false);
        repday1anext.SetEnabled(false);
        repday1bnext.SetEnabled(false);
        repday1acurrent.SetEnabled(false);
        repday1bcurrent.SetEnabled(false);
        repday2bnext.SetEnabled(false);
        repday2anext.SetEnabled(false);
        repday2bcurrent.SetEnabled(false);
        repday2acurrent.SetEnabled(false);
        proddatefrom.SetEnabled(false);
        proddateto.SetEnabled(false);
        rdoOkaPrint.SetEnabled(false);
        rdoExportType.SetEnabled(false);
    }

    function OnReportTypeSelected(s, e) {
        grlSupplier.SetText('');
        grlDock.SetText('');
        grlLPHeader.SetText('');
        GridgrlSupplier.UnselectRows();
        GridgrlDock.UnselectRows();
        GridgrlLPHeader.UnselectRows();
        if (cmbDeliveryType.GetText() == "Monthly Summary Delivery by LP") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(true);
            repday1anext.SetEnabled(false);
            repday1bnext.SetEnabled(false);
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(true);
            proddatefrom.SetEnabled(false);
            proddateto.SetEnabled(false);
            proddatefrom.SetValue(null);
            proddateto.SetValue(null);
            rdoOkaPrint.SetEnabled(false);
        }
        else if (cmbDeliveryType.GetText() == "Monthly Summary Delivery by Route") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(true);
            repday1anext.SetEnabled(false);
            repday1bnext.SetEnabled(false);
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(true);
            proddatefrom.SetEnabled(false);
            proddateto.SetEnabled(false);
            proddatefrom.SetValue(null);
            proddateto.SetValue(null);
            rdoOkaPrint.SetEnabled(false);
        }
        else if (cmbDeliveryType.GetText() == "Monthly Summary Delivery Detail") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(true);
            repday1anext.SetEnabled(false);
            repday1bnext.SetEnabled(false);
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(true);
            proddatefrom.SetEnabled(false);
            proddateto.SetEnabled(false);
            proddatefrom.SetValue(null);
            proddateto.SetValue(null);
            rdoOkaPrint.SetEnabled(false);
        }
        else if (cmbDeliveryType.GetText() == "Monthly Route Planning by LP") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(false);
            grlLPHeader.SetEnabled(true);
            rdoExportType.SetEnabled(true);
            repday1anext.SetEnabled(true);
            repday1bnext.SetEnabled(true);
            repday1acurrent.SetEnabled(true);
            repday1bcurrent.SetEnabled(true);
            repday2bnext.SetEnabled(true);
            repday2anext.SetEnabled(true);
            repday2bcurrent.SetEnabled(true);
            repday2acurrent.SetEnabled(true);
            ProductionMonthText.SetEnabled(false);
            proddatefrom.SetEnabled(true);
            proddateto.SetEnabled(true);
            rdoOkaPrint.SetEnabled(false);
        }
        else if (cmbDeliveryType.GetText() == "Monthly Route Planning by Supplier") {
            grlSupplier.SetEnabled(true);
            grlDock.SetEnabled(false);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(true);
            repday1anext.SetEnabled(true);
            repday1bnext.SetEnabled(true);
            repday1acurrent.SetEnabled(true);
            repday1bcurrent.SetEnabled(true);
            repday2bnext.SetEnabled(true);
            repday2anext.SetEnabled(true);
            repday2bcurrent.SetEnabled(true);
            repday2acurrent.SetEnabled(true);
            ProductionMonthText.SetEnabled(false);
            proddatefrom.SetEnabled(true);
            proddateto.SetEnabled(true);
            rdoOkaPrint.SetEnabled(false);
        }
        else if (cmbDeliveryType.GetText() == "Okamochi Title") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(false);
            rdoOkaPrint.SetEnabled(true);
            repday1anext.SetEnabled(true);//set to true fid.deny 2015-03-31
            repday1bnext.SetEnabled(true);//set to true fid.deny 2015-03-31
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(false);
            proddatefrom.SetEnabled(true);
            proddateto.SetEnabled(true);
        }
        else if (cmbDeliveryType.GetText() == "P-Lane Content") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(false);
            rdoOkaPrint.SetEnabled(false);
            repday1anext.SetEnabled(true);//set to true fid.deny 2015-04-11
            repday1bnext.SetEnabled(true);//set to true fid.deny 2015-04-11
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(false);
            proddatefrom.SetEnabled(true);
            proddateto.SetEnabled(true);
        }
        else if (cmbDeliveryType.GetText() == "Truck Sheet") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(false);
            rdoOkaPrint.SetEnabled(false);
            repday1anext.SetEnabled(true);//set to true fid.deny 2015-04-10
            repday1bnext.SetEnabled(true);//set to true fid.deny 2015-04-10
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(false);
            proddatefrom.SetEnabled(true);
            proddateto.SetEnabled(true);
        }
        else if (cmbDeliveryType.GetText() == "Empty Job Card") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(false);
            repday1anext.SetEnabled(false);
            repday1bnext.SetEnabled(false);
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(true);
            proddatefrom.SetEnabled(true);
            proddateto.SetEnabled(true);
            rdoOkaPrint.SetEnabled(false);
        }
        else if (cmbDeliveryType.GetText() == "Delivery Control List") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(false);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(false);
            repday1anext.SetEnabled(false);
            repday1bnext.SetEnabled(false);
            repday1acurrent.SetEnabled(false);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(false);
            proddatefrom.SetEnabled(true);
            proddateto.SetEnabled(true);
            rdoOkaPrint.SetEnabled(false);
        }

        else if (cmbDeliveryType.GetText() == "Change Over Report") {
            grlSupplier.SetEnabled(false);
            grlDock.SetEnabled(true);
            grlLPHeader.SetEnabled(false);
            rdoExportType.SetEnabled(false);
            repday1anext.SetEnabled(true);
            repday1bnext.SetEnabled(false);
            repday1acurrent.SetEnabled(true);
            repday1bcurrent.SetEnabled(false);
            repday2bnext.SetEnabled(false);
            repday2anext.SetEnabled(false);
            repday2bcurrent.SetEnabled(false);
            repday2acurrent.SetEnabled(false);
            repday1anext.SetValue(null);
            repday1bnext.SetValue(null);
            repday2anext.SetValue(null);
            repday2bnext.SetValue(null);
            repday1acurrent.SetValue(null);
            repday1bcurrent.SetValue(null);
            repday2acurrent.SetValue(null);
            repday2bcurrent.SetValue(null);
            ProductionMonthText.SetEnabled(false);
            proddatefrom.SetEnabled(false);
            proddateto.SetEnabled(false);
            rdoOkaPrint.SetEnabled(false);
        }
    }

    //added format to MM/dd/yyyy
    function formatDate(date) {
        if ((date != "") && ((date != "yyyy-MM-dd"))) {

            var d = new Date(date),
                month = '' + (d.getMonth() + 1),
                day = '' + d.getDate(),
                year = d.getFullYear();

            if (month.length < 2) month = '0' + month;
            if (day.length < 2) day = '0' + day;

            return [month, day, year].join('/');
        }
        else {
            return date; //changed 2015-04-08 fid.deny
        }
    }

    //added format to yyyy-MM-dd
    function reformatDate(date) {
        if ((date != "") && ((date != "yyyy-MM-dd"))) {

            var d = new Date(date),
                month = '' + (d.getMonth() + 1),
                day = '' + d.getDate(),
                year = d.getFullYear();

            if (month.length < 2) month = '0' + month;
            if (day.length < 2) day = '0' + day;

            return [year, month, day].join('-');
        }
        else {
            return date;
        }
    }


    function OnDateChanged1a(s, e) {
        var dtRepday1anext = repday1anext.GetText();
        if ((dtRepday1anext != "") && ((dtRepday1anext != "yyyy-MM-dd"))) {
            var date = Date.parse(formatDate(dtRepday1anext));

            var newDate = new Date(date);
            newDate.setDate(newDate.getDate() - 14);
            var n = new Date(newDate);
            var day = n.getDate();
            var month = n.getMonth() + 1;
            var year = n.getFullYear();
            var currentdate = year + '-' + month + '-' + day;
            repday1acurrent.SetText(currentdate);
        }
    }

    function OnDateChanged1b(s, e) {
        var dtRepday1bnext = repday1bnext.GetText();
        if ((dtRepday1bnext != "") && ((dtRepday1bnext != "yyyy-MM-dd"))) {
            var date = Date.parse(formatDate(dtRepday1bnext));
            var newDate = new Date(date);
            newDate.setDate(newDate.getDate() - 14);
            var n = new Date(newDate);
            var day = n.getDate();
            var month = n.getMonth() + 1;
            var year = n.getFullYear();
            var currentdate = year + '-' + month + '-' + day;
            repday1bcurrent.SetText(currentdate);
        }
    }

    function OnDateChanged2a(s, e) {
        var dtRepday2anext = repday2anext.GetText();
        if ((dtRepday2anext != "") && ((dtRepday2anext != "yyyy-MM-dd"))) {
            var date = Date.parse(formatDate(dtRepday2anext));
            var newDate = new Date(date);
            newDate.setDate(newDate.getDate() - 14);
            var n = new Date(newDate);
            var day = n.getDate();
            var month = n.getMonth() + 1;
            var year = n.getFullYear();
            var currentdate = year + '-' + month + '-' + day;
            repday2acurrent.SetText(currentdate);
        }
    }

    function OnDateChanged2b(s, e) {
        var dtRepday2bnext = repday2bnext.GetText();
        if ((dtRepday2bnext != "") && ((dtRepday2bnext != "yyyy-MM-dd"))) {
            var date = Date.parse(formatDate(dtRepday2bnext));
            var newDate = new Date(date);
            newDate.setDate(newDate.getDate() - 14);
            var n = new Date(newDate);
            var day = n.getDate();
            var month = n.getMonth() + 1;
            var year = n.getFullYear();
            var currentdate = year + '-' + month + '-' + day;
            repday2bcurrent.SetText(currentdate);
        }
    }

    function OnClickDownload(s, e) {
        var strSupplier = grlSupplier.GetText();
        var strLPCode = grlLPHeader.GetText();
        var strDockCode = grlDock.GetText();
        var dtProductionMonth = ProductionMonthText.GetText();
        var dtRepday1anext = formatDate(repday1anext.GetText()); //mandatory
        var dtRepday1bnext = formatDate(repday1bnext.GetText());
        var dtRepday2bnext = formatDate(repday2bnext.GetText());
        var dtRepday2anext = formatDate(repday2anext.GetText());
        var dtRepday1acurrent = formatDate(repday1acurrent.GetText()); //mandatory
        var dtRepday1bcurrent = formatDate(repday1bcurrent.GetText());
        var dtRepday2bcurrent = formatDate(repday2bcurrent.GetText());
        var dtRepday2acurrent = formatDate(repday2acurrent.GetText());
        var dtProductionDateFrom = formatDate(proddatefrom.GetText());
        var dtProductionDateTo = formatDate(proddateto.GetText());

        var datefrom = '';
        var dateto = '';

        var dt1anext = '';
        var dt1acurrent = '';
        var dt1bnext = '';
        var dt1bcurrent = '';
        var dt2anext = '';
        var dt2acurrent = '';
        var dt2bnext = '';
        var dt2bcurrent = '';

        if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd")) datefrom = Date.parse(dtProductionDateFrom);
        //console.log(datefrom);
        if ((dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) dateto = Date.parse(dtProductionDateTo);
        if ((dtRepday1anext != '') && (dtRepday1anext != 'yyyy-MM-dd')) dt1anext = Date.parse(dtRepday1anext);
        if ((dtRepday1acurrent != '') && (dtRepday1acurrent != 'yyyy-MM-dd')) dt1acurrent = Date.parse(dtRepday1acurrent);
        if ((dtRepday1bnext != '') && (dtRepday1bnext != 'yyyy-MM-dd')) dt1bnext = Date.parse(dtRepday1bnext);
        if ((dtRepday1bcurrent != '') && (dtRepday1bcurrent != 'yyyy-MM-dd')) dt1bcurrent = Date.parse(dtRepday1bcurrent);
        if ((dtRepday2anext != '') && (dtRepday2anext != 'yyyy-MM-dd')) dt2anext = Date.parse(dtRepday2anext);
        if ((dtRepday2acurrent != '') && (dtRepday2acurrent != 'yyyy-MM-dd')) dt2acurrent = Date.parse(dtRepday2acurrent);
        if ((dtRepday2bnext != '') && (dtRepday2bnext != 'yyyy-MM-dd')) dt2bnext = Date.parse(dtRepday2bnext);
        if ((dtRepday2bcurrent != '') && (dtRepday2bcurrent != 'yyyy-MM-dd')) dt2bcurrent = Date.parse(dtRepday2bcurrent);

        if (cmbDeliveryType.GetSelectedItem().text == "Monthly Summary Delivery by LP") {
            if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {
                if (dtProductionMonth != "") { OnValidateDownload(); PopupProgressDownload.Hide(); }
                else { alert('Production Month Can\'t Empty'); }
            }
            else { PopupProgressDownload.Hide(); alert('Dock Code Can\'t Empty'); }
        }
        else if (cmbDeliveryType.GetSelectedItem().text == "Monthly Summary Delivery by Route") {
            if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {
                if (dtProductionMonth != "") { OnValidateDownload(); PopupProgressDownload.Hide(); }
                else { alert('Production Month Can\'t Empty'); }
            }
            else { PopupProgressDownload.Hide(); alert('Dock Code Can\'t Empty'); }
        }
        else if (cmbDeliveryType.GetSelectedItem().text == "Monthly Summary Delivery Detail") {
            if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {
                if (dtProductionMonth != "") { OnValidateDownload(); PopupProgressDownload.Hide(); }
                else { alert('Production Month Can\'t Empty'); }
            }
            else { PopupProgressDownload.Hide(); alert('Dock Code Can\'t Empty'); }
        }

        else if (cmbDeliveryType.GetSelectedItem().text == "Monthly Route Planning by Supplier") {
            var errormsg = '';
            if (strSupplier.replace(/^\s+|\s+$/g, '') == "") { errormsg = errormsg + 'Supplier Code Can\'t Empty\n'; }

            if ((datefrom != '') && (dateto != '')) { if (datefrom > dateto) { errormsg = errormsg + 'Production Date From must be under Date To\n'; } }
            else { errormsg = errormsg + 'Production Date Range Can\'t Empty\n'; }

            if ((dt1anext != '') && (dt1acurrent != '')) {
                if (dt1anext <= dt1acurrent) { errormsg = errormsg + 'Representative Day 1a.Current date should be under 1a.Next date\n' }
                else {
                    if ((datefrom != '') && (dateto != '')) {
                        if ((dt1anext < datefrom) || (dt1anext > dateto)) { errormsg = errormsg + 'Representative Day 1a.Next should be in Production Date Range\n' }
                        if (dt1acurrent >= datefrom) { errormsg = errormsg + 'Representative Day 1a.Current must be under Production Date From\n' }
                    }
                }
            }
            else { errormsg = errormsg + 'Representative Day 1a (Next and Current) Can\'t Empty\n'; }

            if ((dt1bnext != '') || (dt1bcurrent != '')) {
                if ((dt1bnext != '') && (dt1bcurrent != '')) {
                    if (dt1bnext <= dt1bcurrent) { errormsg = errormsg + 'Representative Day 1b.Current date should be under 1b.Next date\n'; }
                    else {
                        if ((datefrom != '') && (dateto != '')) {
                            if ((dt1bnext < datefrom) || (dt1bnext > dateto)) { errormsg = errormsg + 'Representative Day 1b.Next should be in Production Date Range\n' }
                            if (dt1bcurrent >= datefrom) { errormsg = errormsg + 'Representative Day 1b.Current must be under Production Date From\n' }
                        }
                    }
                }
                else { errormsg = errormsg + 'Rep. Day ' + (dt1bnext == '' ? '1b.Next' : '1b.Current') + ' is mandatory if ' + (dt1bnext != '' ? '1b.Next' : '1b.Current') + ' is not empty\n'; }
            }

            if ((dt2anext != '') || (dt2acurrent != '')) {
                if ((dt2anext != '') && (dt2acurrent != '')) {
                    if (dt2anext <= dt2acurrent) { errormsg = errormsg + 'Representative Day 2a.Current date should be under 2a.Next date\n'; }
                    else {
                        if ((datefrom != '') && (dateto != '')) {
                            if ((dt2anext < datefrom) || (dt2anext > dateto)) { errormsg = errormsg + 'Representative Day 2a.Next should be in Production Date Range\n' }
                            if (dt2acurrent >= datefrom) { errormsg = errormsg + 'Representative Day 2a.Current must be under Production Date From\n' }
                        }
                    }
                }
                else { errormsg = errormsg + 'Rep. Day ' + (dt2anext == '' ? '2a.Next' : '2a.Current') + ' is mandatory if ' + (dt2anext != '' ? '2a.Next' : '2a.Current') + ' is not empty\n'; }
            }

            if ((dt2bnext != '') || (dt2bcurrent != '')) {
                if ((dt2bnext != '') && (dt2bcurrent != '')) {
                    if (dt2bnext <= dt2bcurrent) { errormsg = errormsg + 'Representative Day 2b.Current date should be under 2b.Next date\n'; }
                    else {
                        if ((datefrom != '') && (dateto != '')) {
                            if ((dt2bnext < datefrom) || (dt2bnext > dateto)) { errormsg = errormsg + 'Representative Day 2b.Next should be in Production Date Range\n' }
                            if (dt2bcurrent >= datefrom) { errormsg = errormsg + 'Representative Day 2b.Current must be under Production Date From\n' }
                        }
                    }
                }
                else { errormsg = errormsg + 'Rep. Day ' + (dt2bnext == '' ? '2b.Next' : '2b.Current') + ' is mandatory if ' + (dt2bnext != '' ? '2b.Next' : '2b.Current') + ' is not empty\n'; }
            }

            if (errormsg == '') {
                if ((dt1bcurrent != '') && (dt1bnext != '')) {
                    if (dt1bcurrent == dt1acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 1a.Current\n'; }
                    if (dt1bnext == dt1anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 1a.Next\n'; }
                    if ((dt2anext != '') && (dt2acurrent != '')) {
                        if (dt1bnext == dt2anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2a.Next\n'; }
                        if (dt1bcurrent == dt2acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2a.Current\n'; }
                    }
                    if ((dt2bnext != '') && (dt2bcurrent != '')) {
                        if (dt1bnext == dt2bnext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2b.Next\n'; }
                        if (dt1bcurrent == dt2bcurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2b.Current\n'; }
                    }
                }

                if ((dt2acurrent != '') && (dt2anext != '')) {
                    if (dt2acurrent == dt1acurrent) { errormsg = errormsg + 'Rep. Day 2a.Current cannot same with 1a.Current\n'; }
                    if (dt2anext == dt1anext) { errormsg = errormsg + 'Rep. Day 2a.Next cannot same with 1a.Next\n'; }
                    /*if ((dt2anext != '') && (dt2acurrent != '')) {
                        if (dt1bnext == dt2anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2a.Next\n'; }
                        if (dt1bcurrent == dt2acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2a.Current\n'; }
                    }*/
                    if ((dt2bnext != '') && (dt2bcurrent != '')) {
                        if (dt2anext == dt2bnext) { errormsg = errormsg + 'Rep. Day 2a.Next cannot same with 2b.Next\n'; }
                        if (dt2acurrent == dt2bcurrent) { errormsg = errormsg + 'Rep. Day 2a.Current cannot same with 2b.Current\n'; }
                    }
                }

                if ((dt2bcurrent != '') && (dt2bnext != '')) {
                    if (dt2bcurrent == dt1acurrent) { errormsg = errormsg + 'Rep. Day 2b.Current cannot same with 1a.Current\n'; }
                    if (dt2bnext == dt1anext) { errormsg = errormsg + 'Rep. Day 2b.Next cannot same with 1a.Next\n'; }
                    /*if ((dt2anext != '') && (dt2acurrent != '')) {
                        if (dt1bnext == dt2anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2a.Next\n'; }
                        if (dt1bcurrent == dt2acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2a.Current\n'; }
                    }*/
                    /*if ((dt2bnext != '') && (dt2bcurrent != '')) {
                        if (dt1bnext == dt2bnext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2b.Next\n'; }
                        if (dt1bcurrent == dt2bcurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2b.Current\n'; }
                    }*/
                }
            }

            //Cek antar Next / Current ga boleh ada yang sama 

            if (errormsg == '') {
                OnValidateDownload(); PopupProgressDownload.Hide();
            }
            else { PopupProgressDownload.Hide(); alert('Error : \n' + errormsg); }
        }

        else if (cmbDeliveryType.GetSelectedItem().text == "Monthly Route Planning by LP") {
            var errormsg = '';
            if (strLPCode.replace(/^\s+|\s+$/g, '') == "") { errormsg = errormsg + 'Logistic Partner Can\'t Empty\n'; }

            if ((datefrom != '') && (dateto != '')) { if (datefrom > dateto) { errormsg = errormsg + 'Production Date From must be under Date To\n'; } }
            else { errormsg = errormsg + 'Production Date Range Can\'t Empty\n'; }

            if ((dt1anext != '') && (dt1acurrent != '')) {
                if (dt1anext <= dt1acurrent) { errormsg = errormsg + 'Representative Day 1a.Current date should be under 1a.Next date\n' }
                else {
                    if ((datefrom != '') && (dateto != '')) {
                        if ((dt1anext < datefrom) || (dt1anext > dateto)) { errormsg = errormsg + 'Representative Day 1a.Next should be in Production Date Range\n' }
                        if (dt1acurrent >= datefrom) { errormsg = errormsg + 'Representative Day 1a.Current must be under Production Date From\n' }
                    }
                }
            }
            else { errormsg = errormsg + 'Representative Day 1a (Next and Current) Can\'t Empty\n'; }

            if ((dt1bnext != '') || (dt1bcurrent != '')) {
                if ((dt1bnext != '') && (dt1bcurrent != '')) {
                    if (dt1bnext <= dt1bcurrent) { errormsg = errormsg + 'Representative Day 1b.Current date should be under 1b.Next date\n'; }
                    else {
                        if ((datefrom != '') && (dateto != '')) {
                            if ((dt1bnext < datefrom) || (dt1bnext > dateto)) { errormsg = errormsg + 'Representative Day 1b.Next should be in Production Date Range\n' }
                            if (dt1bcurrent >= datefrom) { errormsg = errormsg + 'Representative Day 1b.Current must be under Production Date From\n' }
                        }
                    }
                }
                else { errormsg = errormsg + 'Rep. Day ' + (dt1bnext == '' ? '1b.Next' : '1b.Current') + ' is mandatory if ' + (dt1bnext != '' ? '1b.Next' : '1b.Current') + ' is not empty\n'; }
            }

            if ((dt2anext != '') || (dt2acurrent != '')) {
                if ((dt2anext != '') && (dt2acurrent != '')) {
                    if (dt2anext <= dt2acurrent) { errormsg = errormsg + 'Representative Day 2a.Current date should be under 2a.Next date\n'; }
                    else {
                        if ((datefrom != '') && (dateto != '')) {
                            if ((dt2anext < datefrom) || (dt2anext > dateto)) { errormsg = errormsg + 'Representative Day 2a.Next should be in Production Date Range\n' }
                            if (dt2acurrent >= datefrom) { errormsg = errormsg + 'Representative Day 2a.Current must be under Production Date From\n' }
                        }
                    }
                }
                else { errormsg = errormsg + 'Rep. Day ' + (dt2anext == '' ? '2a.Next' : '2a.Current') + ' is mandatory if ' + (dt2anext != '' ? '2a.Next' : '2a.Current') + ' is not empty\n'; }
            }

            if ((dt2bnext != '') || (dt2bcurrent != '')) {
                if ((dt2bnext != '') && (dt2bcurrent != '')) {
                    if (dt2bnext <= dt2bcurrent) { errormsg = errormsg + 'Representative Day 2b.Current date should be under 2b.Next date\n'; }
                    else {
                        if ((datefrom != '') && (dateto != '')) {
                            if ((dt2bnext < datefrom) || (dt2bnext > dateto)) { errormsg = errormsg + 'Representative Day 2b.Next should be in Production Date Range\n' }
                            if (dt2bcurrent >= datefrom) { errormsg = errormsg + 'Representative Day 2b.Current must be under Production Date From\n' }
                        }
                    }
                }
                else { errormsg = errormsg + 'Rep. Day ' + (dt2bnext == '' ? '2b.Next' : '2b.Current') + ' is mandatory if ' + (dt2bnext != '' ? '2b.Next' : '2b.Current') + ' is not empty\n'; }
            }


            //Cek antar Next / Current ga boleh ada yang sama

            if (errormsg == '') {
                if ((dt1bcurrent != '') && (dt1bnext != '')) {
                    if (dt1bcurrent == dt1acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 1a.Current\n'; }
                    if (dt1bnext == dt1anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 1a.Next\n'; }
                    if ((dt2anext != '') && (dt2acurrent != '')) {
                        if (dt1bnext == dt2anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2a.Next\n'; }
                        if (dt1bcurrent == dt2acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2a.Current\n'; }
                    }
                    if ((dt2bnext != '') && (dt2bcurrent != '')) {
                        if (dt1bnext == dt2bnext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2b.Next\n'; }
                        if (dt1bcurrent == dt2bcurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2b.Current\n'; }
                    }
                }

                if ((dt2acurrent != '') && (dt2anext != '')) {
                    if (dt2acurrent == dt1acurrent) { errormsg = errormsg + 'Rep. Day 2a.Current cannot same with 1a.Current\n'; }
                    if (dt2anext == dt1anext) { errormsg = errormsg + 'Rep. Day 2a.Next cannot same with 1a.Next\n'; }
                    /*if ((dt2anext != '') && (dt2acurrent != '')) {
                        if (dt1bnext == dt2anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2a.Next\n'; }
                        if (dt1bcurrent == dt2acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2a.Current\n'; }
                    }*/
                    if ((dt2bnext != '') && (dt2bcurrent != '')) {
                        if (dt2anext == dt2bnext) { errormsg = errormsg + 'Rep. Day 2a.Next cannot same with 2b.Next\n'; }
                        if (dt2acurrent == dt2bcurrent) { errormsg = errormsg + 'Rep. Day 2a.Current cannot same with 2b.Current\n'; }
                    }
                }

                if ((dt2bcurrent != '') && (dt2bnext != '')) {
                    if (dt2bcurrent == dt1acurrent) { errormsg = errormsg + 'Rep. Day 2b.Current cannot same with 1a.Current\n'; }
                    if (dt2bnext == dt1anext) { errormsg = errormsg + 'Rep. Day 2b.Next cannot same with 1a.Next\n'; }
                    /*if ((dt2anext != '') && (dt2acurrent != '')) {
                        if (dt1bnext == dt2anext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2a.Next\n'; }
                        if (dt1bcurrent == dt2acurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2a.Current\n'; }
                    }*/
                    /*if ((dt2bnext != '') && (dt2bcurrent != '')) {
                        if (dt1bnext == dt2bnext) { errormsg = errormsg + 'Rep. Day 1b.Next cannot same with 2b.Next\n'; }
                        if (dt1bcurrent == dt2bcurrent) { errormsg = errormsg + 'Rep. Day 1b.Current cannot same with 2b.Current\n'; }
                    }*/
                }
            }

            if (errormsg == '') {
                OnValidateDownload(); PopupProgressDownload.Hide();
            }
            else { PopupProgressDownload.Hide(); alert('Error : \n' + errormsg); }
        }
            //                
        else if (cmbDeliveryType.GetSelectedItem().text == "Okamochi Title") {
            if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {

                if ((dtRepday1bnext == "") || (dtRepday1bnext == "yyyy-MM-dd")) {
                    dtRepday1bnext = dtRepday1anext;
                }


                if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd") && (dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) {
                    if (datefrom <= dateto) {
                        if ((dtRepday1anext != "") && (dtRepday1anext != "yyyy-MM-dd") && (dtRepday1bnext != "") && (dtRepday1bnext != "yyyy-MM-dd")) {
                            if (dtRepday1bnext >= dtRepday1anext) {
                                if (dtProductionDateFrom <= dtRepday1anext && dtRepday1anext <= dtProductionDateTo) {

                                    if (dtProductionDateFrom <= dtRepday1bnext && dtRepday1bnext <= dtProductionDateTo) {
                                        //if (dtRepday1anext != dtRepday1bnext) {

                                        OnValidateDownload(); PopupProgressDownload.Hide();

                                        //}
                                        //else {
                                        //    alert('Representative Day 1a Next cannot same with Representative Day 1b Next');
                                        //}
                                    } else {
                                        alert('Date Representative 1b next must be in Production Date Range');
                                    }
                                }
                                else {
                                    alert('Date Representative 1a next must be in Production Date Range');
                                }

                            }
                            else {
                                alert('Date Representative 1a Next must be under Date Representative 1b Next');
                            }

                        }
                        else {
                            PopupProgressDownload.Hide();
                            alert('Representative Day 1a Can\'t be Empty');
                        }


                    }
                    else {
                        PopupProgressDownload.Hide(); alert('Date From must be under Date To');
                    }
                }
                else {
                    PopupProgressDownload.Hide();
                    alert('Production Date Range Can\'t Empty');
                }



            }
            else {
                PopupProgressDownload.Hide();
                alert('Dock Can\'t Empty');
            }
        }
        else if (cmbDeliveryType.GetSelectedItem().text == "Truck Sheet") {
            if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {

                if ((dtRepday1bnext == "") || (dtRepday1bnext == "yyyy-MM-dd")) {
                    dtRepday1bnext = dtRepday1anext;
                }


                if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd") && (dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) {
                    if (datefrom < dateto) {
                        if ((dtRepday1anext != "") && (dtRepday1anext != "yyyy-MM-dd") && (dtRepday1bnext != "") && (dtRepday1bnext != "yyyy-MM-dd")) {
                            if (dtRepday1bnext >= dtRepday1anext) {
                                if (dtProductionDateFrom <= dtRepday1anext && dtRepday1anext <= dtProductionDateTo) {

                                    if (dtProductionDateFrom <= dtRepday1bnext && dtRepday1bnext <= dtProductionDateTo) {
                                        //if (dtRepday1anext != dtRepday1bnext) {

                                        OnValidateDownload(); PopupProgressDownload.Hide();

                                        //}
                                        //else {
                                        //    alert('Representative Day 1a Next cannot same with Representative Day 1b Next');
                                        //}
                                    } else {
                                        alert('Date Representative 1b next must be in Production Date Range');
                                    }
                                }
                                else {
                                    alert('Date Representative 1a next must be in Production Date Range');
                                }

                            }
                            else {
                                alert('Date Representative 1a Next must be under Date Representative 1b Next');
                            }

                        }
                        else {
                            PopupProgressDownload.Hide();
                            alert('Representative Day 1a Can\'t be Empty');
                        }


                    }
                    else {
                        PopupProgressDownload.Hide(); alert('Date From must be under Date To');
                    }
                }
                else {
                    PopupProgressDownload.Hide();
                    alert('Production Date Range Can\'t Empty');
                }



            }
            else {
                PopupProgressDownload.Hide();
                alert('Dock Can\'t Empty');
            }


            /*if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {
                if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd") &&
                    (dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) {
                    if (datefrom < dateto) {
                        OnValidateDownload(); PopupProgressDownload.Hide();
                    }
                    else {
                        PopupProgressDownload.Hide(); alert('Date From must be under Date To Can\'t Empty');
                    }
                }
                else {
                    PopupProgressDownload.Hide();
                    alert('Production Date Range Can\'t Empty');
                }
            }
            else {
                PopupProgressDownload.Hide();
                alert('Dock Can\'t Empty');
            }*/
        }
        else if (cmbDeliveryType.GetSelectedItem().text == "P-Lane Content") {
            /*if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {
                if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd") &&
                    (dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) {
                    if (datefrom < dateto) {
                        OnValidateDownload(); PopupProgressDownload.Hide();
                    }
                    else {
                        PopupProgressDownload.Hide(); alert('Date From must be under Date To Can\'t Empty');
                    }
                }
                else {
                    PopupProgressDownload.Hide();
                    alert('Production Date Range Can\'t Empty');
                }
            }
            else {
                PopupProgressDownload.Hide();
                alert('Dock Can\'t Empty');
            }*/

            if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {

                if ((dtRepday1bnext == "") || (dtRepday1bnext == "yyyy-MM-dd")) {
                    dtRepday1bnext = dtRepday1anext;
                }


                if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd") && (dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) {
                    if (datefrom < dateto) {
                        if ((dtRepday1anext != "") && (dtRepday1anext != "yyyy-MM-dd") && (dtRepday1bnext != "") && (dtRepday1bnext != "yyyy-MM-dd")) {
                            if (dtRepday1bnext >= dtRepday1anext) {
                                if (dtProductionDateFrom <= dtRepday1anext && dtRepday1anext <= dtProductionDateTo) {

                                    if (dtProductionDateFrom <= dtRepday1bnext && dtRepday1bnext <= dtProductionDateTo) {
                                        //if (dtRepday1anext != dtRepday1bnext) {

                                        OnValidateDownload(); PopupProgressDownload.Hide();

                                        //}
                                        //else {
                                        //    alert('Representative Day 1a Next cannot same with Representative Day 1b Next');
                                        //}
                                    } else {
                                        alert('Date Representative 1b next must be in Production Date Range');
                                    }
                                }
                                else {
                                    alert('Date Representative 1a next must be in Production Date Range');
                                }

                            }
                            else {
                                alert('Date Representative 1a Next must be under Date Representative 1b Next');
                            }

                        }
                        else {
                            PopupProgressDownload.Hide();
                            alert('Representative Day 1a Can\'t be Empty');
                        }


                    }
                    else {
                        PopupProgressDownload.Hide(); alert('Date From must be under Date To');
                    }
                }
                else {
                    PopupProgressDownload.Hide();
                    alert('Production Date Range Can\'t Empty');
                }



            }
            else {
                PopupProgressDownload.Hide();
                alert('Dock Can\'t Empty');
            }




        }


        else if (cmbDeliveryType.GetSelectedItem().text == "Empty Job Card") {
            if (strDockCode.replace(/^\s+|\s+$/g, '') != "") {
                if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd") &&
                    (dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) {
                    if (datefrom < dateto) {
                        if (dtProductionMonth != "") {
                            OnValidateDownload(); PopupProgressDownload.Hide();
                        }
                        else {
                            PopupProgressDownload.Hide(); alert('Production Month Can\'t Empty');
                        }
                    }
                    else {
                        PopupProgressDownload.Hide(); alert('Date From must be under Date To Can\'t Empty');
                    }
                }
                else {
                    PopupProgressDownload.Hide();
                    alert('Production Date Range Can\'t Empty');
                }
            }
            else {
                PopupProgressDownload.Hide();
                alert('Dock Can\'t Empty');
            }
        }


        else if (cmbDeliveryType.GetSelectedItem().text == "Delivery Control List") {
            if ((dtProductionDateFrom != "") && (dtProductionDateFrom != "yyyy-MM-dd") &&
                (dtProductionDateTo != "") && (dtProductionDateTo != "yyyy-MM-dd")) {
                if (datefrom < dateto) {
                    OnValidateDownload(); PopupProgressDownload.Hide();
                    //alert('download');
                }
                else {
                    PopupProgressDownload.Hide(); alert('Date From must be under Date To Can\'t Empty');
                }
            }
            else {
                PopupProgressDownload.Hide();
                alert('Production Date Range Can\'t Empty');
            }
        }

        else if (cmbDeliveryType.GetSelectedItem().text == "Change Over Report") {
            if ((dtRepday1anext != "") && (dtRepday1anext != "yyyy-MM-dd") &&
                (dtRepday1acurrent != "") && (dtRepday1acurrent != "yyyy-MM-dd") //abc
                ) {
                if (dt1anext >= dt1acurrent) {
                    if (strDockCode != "") {
                        OnValidateDownload(); PopupProgressDownload.Hide();
                    }
                    else {
                        alert('Dock Can\'t be Empty');
                    }
                } else {
                    alert('Representative Day 1a Current must be under Representative Day 1a Next');
                }
            }
            else {
                PopupProgressDownload.Hide();
                alert('Representative Day 1a Next or Representative Day 1a Current Can\'t Empty');
            }
        }



    }


    //added for sync
    function OnFromDateChanged(s, e) {
        var choosenDate = fromDate.GetText();
        //console.log(choosenDate);
        if ((choosenDate != "") && ((choosenDate != "yyyy-MM-dd"))) {
            var date = Date.parse(choosenDate);
            var newDate = new Date(date);
            newDate.setDate(newDate.getDate() + 28);
            var n = new Date(newDate);
            var day = n.getDate();
            var month = n.getMonth() + 1;
            var year = n.getFullYear();
            var currentdate = year + '-' + month + '-' + day;
            toDate.SetText(currentdate);
            //console.log(currentdate);
        }
    }



    function OnTypeSyncSelected(s, e) {
        //current date + 1 day
        var c_date = new Date();
        c_date.setDate(c_date.getDate() + 1);
        var cc_date = new Date(c_date);
        var c_day = cc_date.getDate();
        var c_month = cc_date.getMonth() + 1;
        var c_year = cc_date.getFullYear();
        var choosendate = c_year + '-' + c_month + '-' + c_day;
        fromDate.SetText(choosendate);

        if ((choosendate != "") && ((choosendate != "yyyy-MM-dd"))) {
            //current day + 1, then + 1 month
            var date = Date.parse(fromDate.GetText());
            //console.log(date);

            var newDate = new Date(date);
            newDate.setDate(newDate.getDate() + 28);
            var n = new Date(newDate);
            var day = n.getDate();
            var month = n.getMonth() + 1;
            var year = n.getFullYear();
            var currentdate = year + '-' + month + '-' + day;
            //console.log(day);
            //console.log(month);
        }

        if (cmbSyncType.GetText() == "Sync DCL") {
            fromDate.SetEnabled(true);
            toDate.SetEnabled(true);
            cmdSynchronize.SetEnabled(true);
            toDate.SetText(currentdate);
        }
        else if (cmbSyncType.GetText() == "Sync Supplier Meeting") {
            fromDate.SetEnabled(true);
            toDate.SetEnabled(true);
            cmdSynchronize.SetEnabled(true);
            toDate.SetText(currentdate);
        }
        else if (cmbSyncType.GetText() == "Sync P-Lane") {
            fromDate.SetEnabled(true);
            toDate.SetEnabled(true);
            cmdSynchronize.SetEnabled(true);
            toDate.SetText(currentdate);
        }


    }

    //yyyy-MM-dd
    function OnClickSync(s, e) {
        LoadingPanel.Show();
        var doemail = 'null';

        //var checkempty = 0;
        var errormsg = '';
        var syncType = cmbSyncType.GetText();
        //alert(syncType);
        var dtFrom = fromDate.GetText();
        var dtTo = toDate.GetText();

        console.log(dtFrom);

        //today date
        var c_date = new Date();
        console.log(c_date);
        var c_day = c_date.getDate();
        var c_month = c_date.getMonth() + 1;
        var c_year = c_date.getFullYear();
        var dayString = c_day.toString();
        var monthString = c_month.toString();
        var dayLength = dayString.length;
        var monthLength = monthString.length;

        if (dayLength < 2) { c_day = "0" + c_day.toString(); }
        if (monthLength < 2) { c_month = "0" + c_month.toString(); }
        //var choosendate = c_month + '/' + c_day + '/' + c_year;
        var choosendate = c_year + '-' + c_month + '-' + c_day;


        if ((dtFrom != "") && (dtFrom != "yyyy-MM-dd")) datefrom = Date.parse(dtFrom);
        if ((dtTo != "") && (dtTo != "yyyy-MM-dd")) dateto = Date.parse(dtTo);

        if (dtTo == "yyyy-MM-dd") {
            //checkempty = checkempty + 1;
            errormsg = errormsg + 'Date To must be filled.\n';
        }

        if (dtFrom == "yyyy-MM-dd") {
            errormsg = errormsg + 'Date From must be filled.\n';
            //checkempty = checkempty + 1;
        }

        if (dtFrom <= choosendate) {
            errormsg = errormsg + 'Data Date From cant be filled with today\'s date or below today\'s date.\n';
        }

        if (dtFrom != "yyyy-MM-dd") {
            if (dtTo < dtFrom) {
                errormsg = errormsg + 'Date Date From must be under Date To .\n';
            }
        }

        //batas
        //validate status
        if (errormsg == '') {
            //check status
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/DCLReport/validateLock")",
                data: {
                    sync: syncType
                },
                success: function (result) {
                    console.log(result);
                    result = result.split('|');
                    if (result[0] == 'DCL Success') {
                        //jika dcl tidak terlock
                        $.ajax({
                            type: "POST",
                            url: "@Url.Content("~/DCLReport/validateStatus")",
                            data: {
                                dateFrom: dtFrom,
                                dateTo: dtTo,
                            },
                            success: function (results) {
                                if (results == '1') {
                                    alert('Data with Arrived, Delivered, or Posted Exists.');
                                    LoadingPanel.Hide();
                                }
                                else if (results == '2') {
                                    var strconfirm = confirm("DCL Data that already downloaded is found. Do you want to continue?");
                                    if (strconfirm == true) {
                                        //send email notification
                                        sendNotifEmail(dtFrom, dtTo, function (sendmail) {
                                            console.log(sendmail);
                                            if (sendmail == 'success') {
                                                OnClickSynchronize(syncType);
                                            }
                                            else {
                                                LoadingPanel.Hide();
                                            }
                                        });

                                    }
                                    else {
                                        LoadingPanel.Hide();
                                    }
                                }
                                else if (results == '0') {
                                    //alert('langsung sync, status delivery aman');
                                    OnClickSynchronize(syncType);
                                    //LoadingPanel.Hide();
                                }
                                else {
                                    alert('Synchronize failed.');
                                    LoadingPanel.Hide();
                                }
                            },
                            error: function (results) {
                                LoadingPanel.Hide();
                                alert('Synchronize failed.');
                            }
                        });

                    }
                    else if (result[0] == 'DCL Fail') {
                        alert('Can\'t Do Synchronize Because The Process Currently Run by ' + result[1] + ', \nPlease Wait Until The Process Done.');
                        LoadingPanel.Hide();
                    }
                    else if (result[0] == 'SM Success') {
                        //alert('SM success, akan lanjut ke tahapan sync');
                        OnClickSynchronize(syncType);
                        //LoadingPanel.Hide();
                    }
                    else if (result[0] == 'SM Fail') {
                        alert('Can\'t Do Synchronize Because The Process Currently Run by ' + result[1] + ',\n Please Wait Until The Process Done.');
                        LoadingPanel.Hide();
                    }
                    else if (result[0] == 'Plane Success') {
                        OnClickSynchronize(syncType)
                    }
                    else if (result[0] == 'Plane Fail') {
                        alert('Can\'t Do Synchronize Because The Process Currently Run by ' + result[1] + ',\n Please Wait Until The Process Done.');
                        LoadingPanel.Hide();
                    }

                    else {
                        alert('Synchronize failed.');
                    }
                },
                error: function (result) {
                    LoadingPanel.Hide();
                    alert('Synchronize failed.');
                }
            });



        }
        else {
            alert('Error : \n' + errormsg);
            LoadingPanel.Hide();
        }

    }

    function sendNotifEmail(dateFrom, dateTo, callback) {
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/DCLReport/sendNotifEmail")",
                data: {
                    dtFrom: dateFrom,
                    dtTo: dateTo
                },
                success: function (result) {
                    if (result == 'Success') {
                        alert('Email Sent.');
                        callback('success');

                    }
                    else {
                        alert('Sending Email Fail, Canceling Synchronize.');
                        callback('fail');
                    }
                },
                error: function (result) {
                    LoadingPanel.Hide();
                    alert('Synchronize failed.');
                }
            });
        }

        //end of added



        function OnValidateDownload() {



            //added fid.deny 2015-04-10
            var p_RepDay1anext = formatDate(repday1anext.GetText());
            var p_RepDay1bnext = formatDate(repday1bnext.GetText());

            if ((cmbDeliveryType.GetSelectedItem().text == "P-Lane Content") || (cmbDeliveryType.GetSelectedItem().text == "Truck Sheet") || cmbDeliveryType.GetSelectedItem().text == "Okamochi Title") {
                if ((p_RepDay1bnext == "yyyy-MM-dd")) {
                    p_RepDay1bnext = p_RepDay1anext;
                }
            }

            //end of added
            var suppCd = grlSupplier.GetText().replace(/\s/g, "");
            suppCd = (suppCd.substring(suppCd.length - 1) == ";") ? suppCd.substring(0, suppCd.length - 1) : suppCd;

            LoadingPanel.Show();
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/DCLReport/ValidateIsNull")",
            data: {
                DeliveryType: cmbDeliveryType.GetSelectedItem().text,
                DeliveryMonth: '',
                ProductionMonth: ProductionMonthText.GetText(),
                DockCode: grlDock.GetText(),
                SupplierCode: suppCd,
                LPCode: grlLPHeader.GetText(),
                RepDay1anext: p_RepDay1anext,
                RepDay1bnext: p_RepDay1bnext,
                RepDay2anext: formatDate(repday2anext.GetText()),
                RepDay2bnext: formatDate(repday2bnext.GetText()),
                RepDay1acurrent: formatDate(repday1acurrent.GetText()),
                RepDay1bcurrent: formatDate(repday1bcurrent.GetText()),
                RepDay2acurrent: formatDate(repday2acurrent.GetText()),
                RepDay2bcurrent: formatDate(repday2bcurrent.GetText()),
                ProductionDateFrom: formatDate(proddatefrom.GetText()),
                ProductionDateTo: formatDate(proddateto.GetText())
            },
            success: function (ResultValidate) {
                if (ResultValidate == 'Find Data Summary') {
                    LoadingPanel.Hide();
                    PrintReport();
                }
                else if (ResultValidate == 'Find Data Route Planning') {
                    LoadingPanel.Hide();
                    PrintReport();
                }
                else if (ResultValidate == 'Find Data') {
                    LoadingPanel.Hide();
                    PrintReport();
                }
                else {
                    var msg = ResultValidate.split('|');
                    ResultValidate = "";
                    for (var i = 0; i < msg.length; i++) {
                        ResultValidate = ResultValidate + '' + msg[i] + '\n';
                    }

                    alert(ResultValidate);
                    LoadingPanel.Hide();
                    PopupProgressDownload.Hide();
                }
            },
            error: function (ResultValidate) {
                PopupProgressDownload.Hide();
                LoadingPanel.Hide();
                alert("Error when download data | \n" + ResultValidate);

            }
        });
    }

    function PrintReport(s, e) {
        // PopupProgressDownload.Show();

        //added fid.deny 2015-04-10
        var p_RepDay1anext = formatDate(repday1anext.GetText());
        var p_RepDay1bnext = formatDate(repday1bnext.GetText());

        if ((cmbDeliveryType.GetSelectedItem().text == "P-Lane Content") || (cmbDeliveryType.GetSelectedItem().text == "Truck Sheet") || cmbDeliveryType.GetSelectedItem().text == "Okamochi Title") {
            if ((p_RepDay1bnext == "yyyy-MM-dd")) {
                p_RepDay1bnext = p_RepDay1anext;
            }
        }

        var suppCd = grlSupplier.GetText().replace(/\s/g, "");
        suppCd = (suppCd.substring(suppCd.length - 1) == ";") ? suppCd.substring(0, suppCd.length - 1) : suppCd;

        LoadingPanel.Show();
        $.fileDownload("DCLReport/PrintReport/", {
            httpMethod: "POST",
            async: false,
            data: {
                DeliveryMonth: '',//document.getElementById('txtDeliveryMonth').value,
                CurrentPhaseFrom: '',//CurrentPhaseFrom.GetText(),
                CurrentPhaseTo: '',//CurrentPhaseTo.GetText(),
                NextPhaseFrom: '',//NextPhaseFrom.GetText(),
                NextPhaseTo: '',//NextPhaseTo.GetText(),
                ProductionMonth: ProductionMonthText.GetText(),
                LPCode: grlLPHeader.GetText(),
                SupplierCode: suppCd,
                DockCode: grlDock.GetText(),
                DeliveryType: cmbDeliveryType.GetSelectedItem().text,
                ProductionDateFrom: formatDate(proddatefrom.GetText()),
                ProductionDateTo: formatDate(proddateto.GetText()),
                RepDay1anext: p_RepDay1anext,
                RepDay1bnext: p_RepDay1bnext,
                RepDay2anext: formatDate(repday2anext.GetText()),
                RepDay2bnext: formatDate(repday2bnext.GetText()),
                RepDay1acurrent: formatDate(repday1acurrent.GetText()),
                RepDay1bcurrent: formatDate(repday1bcurrent.GetText()),
                RepDay2acurrent: formatDate(repday2acurrent.GetText()),
                RepDay2bcurrent: formatDate(repday2bcurrent.GetText()),
                ExportType: rdoExportType.GetSelectedItem().value,
                Style: rdoOkaPrint.GetSelectedItem().value
            },
            successCallback: function (url) {
                LoadingPanel.Hide();
            },
            failCallback: function (responseHtml, url) {
                //alert(responseHtml);
                responseHtml = responseHtml.replace(/<[^>]*>/g, '');
                responseHtml = responseHtml.substring(0, responseHtml.search("Exception Details"));
                alert("Error When Download Data" + responseHtml);
                LoadingPanel.Hide();
            }
        });
    }

    function OnClickClear(s, e) {
        cmbDeliveryType.SetText('');
        grlSupplier.SetText('');
        grlDock.SetText('');
        grlLPHeader.SetText('');
        GridgrlSupplier.UnselectRows();
        GridgrlDock.UnselectRows();
        GridgrlLPHeader.UnselectRows();
        SetDefaultTypeSelected();
        repday1anext.SetValue(null);
        repday1bnext.SetValue(null);
        repday2anext.SetValue(null);
        repday2bnext.SetValue(null);
        repday1acurrent.SetValue(null);
        repday1bcurrent.SetValue(null);
        repday2acurrent.SetValue(null);
        repday2bcurrent.SetValue(null);
        proddatefrom.SetValue(null);
        proddateto.SetValue(null);
    }

    function syncCheck(syncTypeParam) {
        console.log(syncTypeParam);
        var outcomeText;
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/DCLReport/SynchronizeCheck")",

            data: {
                SyncType: syncTypeParam
            },

            success: function (result) {
                result = result.split('|');
                if (result[0] == 'SUCCESS') {
                    //alert('success');
                    LoadingPanel.Hide();

                    if (syncTypeParam == 'Sync DCL') {
                        $.ajax({
                            type: "POST",
                            url: "@Url.Content("~/DCLReport/checkUnmappedStation")",
                                success: function (result) {
                                    if (result == 'DATA EXIST') {
                                        //alert('data exists');
                                        console.log('check unmapped station, data exists');
                                        LoadingPanel.Hide();
                                        alert('Can\'t continue to DCL Creation.\nUnmapped station delivery found, please check email for further information.');
                                    }
                                    else {
                                        //alert('data not exists');
                                        console.log('check unmapped station, data exists');
                                        //if no unmapped station delivery found
                                        $.ajax({
                                            type: "POST",
                                            url: "@Url.Content("~/DCLReport/checkTemporaryDCLTable")",
                                            success: function (result) {
                                                if (result == 'empty') { //if tb_t is empty
                                                    LoadingPanel.Hide();
                                                    alert('Can\'t continue to DCL Creation process, no data found.');
                                                }
                                                else if (result == 'exist') {//if data found
                                                    console.log(syncTypeParam + ' not idle state');
                                                    var strconfirm = confirm("Synchronize Success, Continue with DCL Creation?");
                                                    if (strconfirm == true) {
                                                        //alert('send dcl creation');

                                                        $.ajax({
                                                            type: "POST",
                                                            url: "@Url.Content("~/DCLReport/startDCLCreation")",
                                                            success: function (result) {
                                                                if (result == 'Success') {
                                                                    alert('DCL Creation Started.');
                                                                }
                                                                else {
                                                                    alert('Fail to Start DCL Creation.');
                                                                }
                                                                LoadingPanel.Hide();
                                                            },
                                                            error: function (result) {
                                                                LoadingPanel.Hide();
                                                                alert('Fail to Start DCL Creation.');
                                                            }
                                                        });

                                                        //added for avoid long gap after click yes, maybe wait until the dcl creation finished
                                                        LoadingPanel.Hide();




                                                    }//confirmation = NO then enter "else"
                                                    else {
                                                        LoadingPanel.Hide();
                                                        alert('not continue dcl creation');
                                                    }
                                                    //
                                                }
                                            },
                                            error: function (result) {
                                                LoadingPanel.Hide();
                                                alert('Can\'t continue to DCL Creation, no data found.');
                                            }

                                        })
                                        //end of added line

                                }
                                },
                                error: function (result) { //error for checkunmappedstation
                                    LoadingPanel.Hide();
                                    alert('Can\'t continue to DCL Creation, no data found.');
                                }

                            })

                    } //end of if sync dcl
                    else {//else of if sync dcl
                        alert('Synchronize success.');
                        LoadingPanel.Hide();
                    }
                    //end of if sync dcl




                }

                if (result[0] == 'FAILED') {
                    LoadingPanel.Hide();
                    alert("The Job Failed.");
                }

                if (result[0] == 'IN PROGRESS') {
                    syncCheck(syncTypeParam);
                }

                if (result[0] == 'FAIL') {
                    LoadingPanel.Hide();
                    alert(result[1]);
                }

            },
            error: function (result) {
                LoadingPanel.Hide();

                alert(result);
            }
        });
        //---=== End ajax store
    }

    function syncCheckPost() {
        var actResult = false;

        return actResult;
    }

    function OnClickSynchronize(param) {
        LoadingPanel.Show();
        var dtFrom = fromDate.GetText();
        var dtTo = toDate.GetText();


        $.ajax({
            type: "POST",
            url: "@Url.Content("~/DCLReport/Synchronize")",
                data: {
                    SyncType: param,
                    dateFrom: dtFrom,
                    dateTo: dtTo,
                },
                success: function (result) {
                    if (result == 'Success') {
                        setTimeout(function () { syncCheck(param) }, 5500);
                        //syncCheck();
                    } else {
                        LoadingPanel.Hide();
                        alert('Synchronize failed.');
                    }
                },
                error: function (result) {
                    LoadingPanel.Hide();
                    alert('Synchronize failed.');
                }
            });
            //---=== End ajax store
        }

        //added//

        function OnClickSyncMode() {
            LoadingPanel.Show();
            $('.syncTable').show();
            $('.reportTable').hide();

            fromDate.SetEnabled(false);
            toDate.SetEnabled(false);
            cmdSynchronize.SetEnabled(false);
            cmbSyncType.SetText("Choose Type of Sync");
            //cmbSyncType.SetSelectedIndex(1);

            LoadingPanel.Hide();
        }

        function OnClickReportMode() {
            LoadingPanel.Show();
            $('.syncTable').hide();
            $('.reportTable').show();
            LoadingPanel.Hide();
        }

        //end of added



</script>

<div style="border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; width: 480px;">
    @{     
        Html.RenderAction("HeaderDCLReport", "DCLReport");
    }
</div>
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopupProgressDownload";
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.ShowShadow = true;
    settings.Modal = true;
    settings.CloseAction = CloseAction.None;
    settings.ShowHeader = false;
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupProgressDownload");
    });
}).GetHtml()
@Html.DevExpress().LoadingPanel(
    settings =>
    {
        settings.Name = "LoadingPanel";
        settings.Modal = true;
        //settings.ContainerElementID = IsDisplayedOverPanel ? "Panel" : "";
    }).GetHtml()